Bug 1122665 - Anaconda offers /dev/mmcblk0rpmb as storage to install to
Summary: Anaconda offers /dev/mmcblk0rpmb as storage to install to
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: rawhide
Hardware: armv7hl
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 17:57 UTC by Stephen Warren
Modified: 2014-12-02 20:36 UTC (History)
8 users (show)

Fixed In Version: python-blivet-0.66-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-02 20:36:53 UTC


Attachments (Terms of Use)

Description Stephen Warren 2014-07-23 17:57:52 UTC
On an NVIDIA Jetson TK1 (and likely any other embedded/... board with a directly attached recent eMMC device), Anaconda's storage selection menu (at least in text mode) offers /dev/mmcblk0rpmb as a potential installation location.

IIUC, the "rpmb" HW partition on an eMMC device is something special that wouldn't make a good installation location. Besides, it's tiny (~4MB on my ~16GB eMMC device). I believe that /dev/mmcblk0boot0 and /dev/mmcblk0boot1 are culled out for similar reasons; they certainly don't show up in Anaconda's storage list even though boot0/boot1 are the same size as rpmb.

Here's part of a log from the installer run:

 3) [!] Software selection                4) [!] Installation Destination
        (Processing...)                          (No disks selected)
 5) [x] Kdump                             6) [x] Network configuration
        (Kdump is disabled)                      (Wired (eth0) connected)
 7) [!] Root password                     8) [!] User creation
        (Password is not set.)                   (No user will be created)
  Please make your choice from above ['q' to quit | 'b' to begin installation |
  'r' to refresh]: 4
================================================================================
================================================================================
Probing storage...
Installation Destination

[ ] 1) MMC SEM16G: 14.68 GiB (mmcblk0)

[ ] 2) Generic SD/MMC Storage Card: 4096 KiB (mmcblk0rpmb)

[ ] 3) Select all

No disks selected; please select at least one disk to install to.

  Please make your choice from above ['q' to quit | 'c' to continue |
  'r' to refresh]:

Comment 1 Stephen Warren 2014-08-06 19:31:51 UTC
Aha, /dev/mmcblk0boot* are ignored by Blivet's devicetree.py:isIgnored() because they are read-only by default.

I suppose the correct fix might be to enhance that function to ignore mmcblk\d+boot\d.

Comment 2 Stephen Warren 2014-08-06 20:09:34 UTC
I've sent a github pull request to the upstream blivet repo to fix this:
https://github.com/dwlehman/blivet/pull/5

Also changing this bug's component to python-blivet.


Note You need to log in before you can comment on or make changes to this bug.